%define dist	MDV-Repsys
%define version	0.08
%define release	%mkrel 4

Summary:	Library to access to Mandriva build system
Name:		perl-%{dist}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Source0:	%{dist}-%{version}.tar.bz2
Patch0:     MDV-Repsys.cl-sorting.patch
Patch1:     mdvsys-build.patch
Patch2:     non-double-user.patch
Url:		http://cvs.mandriva.com/cgi-bin/cvsweb.cgi/soft/perl-%{dist}/
BuildRoot:	%{_tmppath}/%{name}-buildroot/
BuildArch:	noarch
BuildRequires: /usr/bin/svnadmin
BuildRequires: perl(File::Tempdir)
BuildRequires: perl(SVN::Client)
BuildRequires: perl-RPM4

%description
Library to access to Mandriva build system.

%prep
%setup -q -n %{dist}-%{version}
%patch -p0 -b .cl
%patch1 -p0 -b .mdvsys-build
%patch2 -p0 -b .double-user

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
LC_ALL=C TMPDIR=/tmp %{__make} test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/MDV

%changelog
* Tue Aug 29 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-29 15:05:39 (58665)
- path2: fix issue if user appear several time in repsys.conf

* Fri Aug 25 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-25 18:18:41 (58130)
- fix mdvsys build (upstram patch)

* Wed Aug 23 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-23 17:36:49 (57744)
- patch to fix issue when text exists before changelog from misc/

* Sun Aug 13 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-13 21:07:05 (55842)
- 0.08

* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-10 22:24:01 (55531)
- fix buildrequires

* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-10 22:21:29 (55529)
- 0.07

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-06 20:04:18 (53639)
- 0.06

* Fri Aug 04 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-04 18:56:27 (52781)
- 0.05

* Sun Jul 30 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-30 21:49:08 (42834)
- really add patch0

* Sun Jul 30 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-30 21:47:04 (42833)
- upstream patch0: function don't get arguments

* Thu Jul 27 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-27 13:55:01 (42298)
- add missing buildrequires

* Thu Jul 27 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-27 13:49:43 (42297)
- 0.04

* Tue Jul 25 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-25 11:21:46 (42081)
- patch0: parse changelog date as UTC

* Thu Jul 20 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-20 20:32:44 (41776)
- 0.03

* Sun Jul 16 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-16 02:50:53 (41361)
- 0.02

* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-14 13:48:01 (41109)
Import perl-MDV-Repsys

